astro query:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- astroquery v0.4.11 »
- NVAS Queries (`astroquery.nvas`) »
- NvasClass

# NvasClass

class astroquery.nvas.NvasClass

  Bases: `BaseQuery`

  Attributes Summary

  `TIMEOUT` |
  `URL` |
  `band_freqs` |
  `valid_bands` |

  Methods Summary

  `extract_image_urls`(html_in, *[, get_uvfits]) | Helper function that uses regexps to extract the image urls from the given HTML.
  `get_image_list`(coordinates, *[, radius, ...]) | Function that returns a list of urls from which to download the FITS images.
  `get_images`(coordinates, *[, radius, ...]) | Get an image around a target/ coordinates from the NVAS image archive.
  `get_images_async`(coordinates, *[, radius, ...]) | Serves the same purpose as `get_images` but returns a list of file handlers to remote files.

  Attributes Documentation

  TIMEOUT = 60
  URL = 'https://www.vla.nrao.edu/cgi-bin/nvas-pos.pl'
  band_freqs = {'C': (4, 8), 'D': (110, 170), 'E': (60, 90), 'F': (90, 140), 'K': (18, 26.5), 'Ka': (26.5, 40), 'L': (1, 2), 'Q': (30, 50), 'S': (2, 4), 'U': (12, 18), 'V': (50, 75), 'W': (75, 110), 'X': (8, 12)}
  valid_bands = ['all', 'L', 'C', 'X', 'U', 'K', 'Q']

  Methods Documentation

  extract_image_urls(html_in, *, get_uvfits=False)

    Helper function that uses regexps to extract the image urls from the given HTML.

    Parameters:
      html_in str

        source from which the urls are to be extracted.

      get_uvfits bool, optional

        Gets the UVfits files instead of the IMfits files when set to `True`. Defaults to `False`.

    Returns:
      image_urls list

        The list of URLS extracted from the input.

  get_image_list(coordinates, *, radius=<Quantity 0.25 arcmin>, max_rms=10000, band='all', get_uvfits=False, get_query_payload=False)

    Function that returns a list of urls from which to download the FITS images.

    Parameters:
      coordinates str or `astropy.coordinates` object

        The target around which to search. It may be specified as a string in which case it is resolved using online services or as the appropriate `astropy.coordinates` object. ICRS coordinates may also be entered as strings as specified in the `astropy.coordinates` module.

      radius str or `Quantity` object, optional

        The string must be parsable by `Angle`. The appropriate `Quantity` object from `astropy.units` may also be used. Defaults to 0.25 arcmin.

      max_rms float, optional

        Maximum allowable noise level in the image (mJy). Defaults to 10000 mJy.

      band str, optional

        The band of the image to fetch. Valid bands must be from [“all”,”L”,”C”,”X”,”U”,”K”,”Q”]. Defaults to ‘all’

      get_uvfits bool, optional

        Gets the UVfits files instead of the IMfits files when set to `True`. Defaults to `False`.

      get_query_payload bool, optional

        if set to `True` then returns the dictionary sent as the HTTP request. Defaults to `False`.

    Returns:
      list of image urls
  get_images(coordinates, *, radius=<Quantity 0.25 arcmin>, max_rms=10000, band='all', get_uvfits=False, verbose=True, get_query_payload=False, show_progress=True)

    Get an image around a target/ coordinates from the NVAS image archive.

    Parameters:
      coordinates str or `astropy.coordinates` object

        The target around which to search. It may be specified as a string in which case it is resolved using online services or as the appropriate `astropy.coordinates` object. ICRS coordinates may also be entered as strings as specified in the `astropy.coordinates` module.

      radius str or `Quantity` object, optional

        The string must be parsable by `Angle`. The appropriate `Quantity` object from `astropy.units` may also be used. Defaults to 0.25 arcmin.

      max_rms float, optional

        Maximum allowable noise level in the image (mJy). Defaults to 10000 mJy.

      band str, optional

        The band of the image to fetch. Valid bands must be from [“all”,”L”,”C”,”X”,”U”,”K”,”Q”]. Defaults to ‘all’

      get_uvfits bool, optional

        Gets the UVfits files instead of the IMfits files when set to `True`. Defaults to `False`.

      verbose bool, optional

        When `True` print out additional messages. Defaults to `True`.

      get_query_payload bool, optional

        if set to `True` then returns the dictionary sent as the HTTP request. Defaults to `False`.

    Returns:
      A list of `HDUList` objects
  get_images_async(coordinates, *, radius=<Quantity 0.25 arcmin>, max_rms=10000, band='all', get_uvfits=False, verbose=True, get_query_payload=False, show_progress=True)

    Serves the same purpose as `get_images` but returns a list of file handlers to remote files.

    Parameters:
      coordinates str or `astropy.coordinates` object

        The target around which to search. It may be specified as a string in which case it is resolved using online services or as the appropriate `astropy.coordinates` object. ICRS coordinates may also be entered as strings as specified in the `astropy.coordinates` module.

      radius str or `Quantity` object, optional

        The string must be parsable by `Angle`. The appropriate `Quantity` object from `astropy.units` may also be used. Defaults to 0.25 arcmin.

      max_rms float, optional

        Maximum allowable noise level in the image (mJy). Defaults to 10000 mJy.

      band str, optional

        The band of the image to fetch. Valid bands must be from [“all”,”L”,”C”,”X”,”U”,”K”,”Q”]. Defaults to ‘all’

      get_uvfits bool, optional

        Gets the UVfits files instead of the IMfits files when set to `True`. Defaults to `False`.

      verbose bool, optional

        When `True` print out additional messages. Defaults to `True`.

      get_query_payload bool, optional

        if set to `True` then returns the dictionary sent as the HTTP request. Defaults to `False`.

    Returns:
      A list of context-managers that yield readable file-like objects